Bug 14688 - [spec-file] no 'make' in %build section; %makeinstall hack not needed.
Summary: [spec-file] no 'make' in %build section; %makeinstall hack not needed.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kaffe   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-26 23:07 UTC by Enrico Scholz
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 09:03:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2000-07-26 23:07:38 UTC
The %build section doesn't contain a 'make' command so the real building
will be done in the the %install stage (with wrong paths).

Furthermore kaffe uses automake and supports DESTDIR so. That's why the
usage of '%makeinstall' is superfluously and 'make DESTDIR=$RPM_BUILD_ROOT
install' should be used instead.

Comment 1 Enrico Scholz 2000-08-04 09:03:17 UTC
Still in Pinstripe

Comment 2 Bill Nottingham 2001-02-14 17:04:18 UTC
There's a make there now, although I really don't recall when I put
it there. Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.